
Redmine - Patch #39066

Remove set_language_if_valid from MyController

2023-09-15 12:47 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

diff --git a/app/controllers/my_controller.rb b/app/controllers/my_controller.rb

index 9eaaa90e7..1d0ca617d 100644

--- a/app/controllers/my_controller.rb

+++ b/app/controllers/my_controller.rb

@@ -55,7 +55,6 @@ class MyController < ApplicationController

       @user.pref.safe_attributes = params[:pref]

       if @user.save

         @user.pref.save

-        set_language_if_valid @user.language

         respond_to do |format|

           format.html do

             flash[:notice] = l(:notice_account_updated)

 the language is reset after the next redirect, so this is basically a dead code that could be removed

Associated revisions

Revision 22320 - 2023-09-24 13:54 - Go MAEDA

Remove set_language_if_valid from MyController (#39066).

Patch by Pavel Rosický.

History

#1 - 2023-09-18 03:21 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2023-09-24 13:54 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
